Skip to main content
GET
Send SMS message over query parameters

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

bulkId
string

Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request.

Maximum string length: 100
from
string

The sender ID which can be alphanumeric or numeric (e.g., CompanyName).

to
string[]
required

List of message recipients.

text
string
required

Content of the message being sent.

Minimum string length: 1
flash
boolean

Sends a flash SMS if set to true.

transliteration
string

Conversion of a message text from one script to another.

languageCode
string

Code for language character set of a message content.

intermediateReport
boolean

Use a real-time intermediate delivery report that will be sent on your callback server.

notifyUrl
string

The URL on your call back server on to which a delivery report will be sent.

notifyContentType
string

Preferred delivery report content type, application/json or application/xml.

callbackData
string

Additional data that can be used for identifying, managing, or monitoring a message. Data included here will also be automatically included in the message Delivery Report. The maximum value is 4000 characters.

Maximum string length: 4000
validityPeriod
integer<int32>

The message validity period in minutes. When the period expires, it will not be allowed for the message to be sent. Validity period longer than 48h is not supported. Any bigger value will automatically default back to 2880.

sendAt
string<date-time>

Date and time when the message is to be sent. Used for scheduled SMS. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ. Must be sooner than 180 days from now.

includeSmsCountInResponse
boolean

Set to true to return smsCount in the response. Default is false. smsCount is the total count of SMS submitted in the request. SMS messages have a character limit and messages longer than that limit will be split into multiple SMS and reflected in the total count of SMS submitted.

trackingUrl
string

The URL of your callback server on to which the Click report will be sent.

trackingType
string

Sets a custom conversion type naming convention, e.g. ONE_TIME_PIN, SOCIAL_INVITES, etc.

indiaDltContentTemplateId
string

The ID of your registered DLT (Distributed Ledger Technology) content template.

indiaDltPrincipalEntityId
string

Your DLT (Distributed Ledger Technology) entity id.

indiaDltTelemarketerId
string

Your assigned Telemarketer ID. (required for Aggregators)

turkeyIysBrandCode
integer<int32>

Brand code is an ID of the company based on a company VAT number. If not provided in request, default value is used from your Phonovation account.

turkeyIysRecipientType
string

Recipient Type must be TACIR or BIREYSEL

southKoreaResellerCode
integer<int32>

Reseller identification code: 9-digit registration number in the business registration certificate for South Korea. Resellers should submit this when sending.

southKoreaTitle
string

Title of the message.

Maximum string length: 66

Response

Successful response

messages
MessageResponseSmsMessageResponseDetails · object[]
required

An array of message objects of a single message or multiple messages sent under one bulk ID.

Minimum array length: 1
bulkId
string

Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request. If not provided, it will be auto-generated and returned in the API response. Typically used for fetching delivery reports and message logs.